# Luakit Documentation / Modules / unique_instance

# Module `unique_instance`

Unique instance support for luakit

This module provides a simple implementation of unique instances. With this module enabled, only one instance of luakit will be run; opening links from other programs or from the command line will open those links in an already-running instance of luakit.

This module should be the first module loaded in your configuration file.

## Properties

### unique_instance.open_links_in_new_window

Type: boolean
Default: `false`
Read-write
Whether links from secondary luakit instances should open in a new window; if `true`, links will be opened in a new window, if `false`, links will be opened in an existing luakit window.

## Attribution

#### Copyright

- 2017 Aidan Holm